/*
 * errors.go
 *
 * Copyright 2013-2015 Krzysztof Wilczynski
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package magic

import (
	"fmt"
)

// MagicError represents an error originating from the underlying Magic library.
type MagicError struct {
	Errno   int    // The value of errno, if any.
	Message string // The actual error message.
}

// Error returns a descriptive error message.
func (me *MagicError) Error() string {
	return fmt.Sprintf("magic: %s", me.Message)
}
